# use-sound Code of Conduct

This code of conduct outlines our expectations for all those who participate in this project, as well as the consequences for unacceptable behavior.

---

## Expected Behavior

- Be kind, courteous, considerate, and respectful in your speech and actions. You are responsible for what you say and do.
- When referring to people, use their chosen name and pronouns.
- Participate in an authentic and active way. In doing so, you contribute to the health and longevity of this community.
- Don't make assumptions about a person's background, abilities, or intentions.
- Attempt collaboration before conflict.
- Refrain from demeaning, discriminatory, or harassing behavior and speech, including nicknames that might detract from a friendly, safe and welcoming environment for all.
- Be mindful of your surroundings and of your fellow participants. Alert a maintainer if you notice a dangerous situation, someone in distress, or violations of this Code of Conduct, even if they seem inconsequential.

## Expected Technical Behavior

In addition to the expected behavior outlined above, you are expected to adhere to the following precepts:

- Respect that people have differences of opinion and that every design or implementation choice carries a trade-off and numerous costs. There is seldom a right answer.
- Please keep unstructured critique to a minimum. If you have solid ideas you want to experiment with, make a fork and see how it works.
- Avoid the use of personal pronouns in code comments or documentation. There is no need to address persons when explaining code (e.g. "When the developer")

## Unacceptable Behavior

Unacceptable behaviors include: intimidating, harassing, abusive, discriminatory, derogatory or demeaning speech, actions, or microaggressions by any person contributing to this project.

Harassment includes: harmful or prejudicial verbal or written comments related to gender, sexual orientation, race, religion, disability; inappropriate use of nudity and/or sexual images; deliberate intimidation, stalking or following; harassing photography or recording; sustained disruption of talks or other events; inappropriate physical contact, and unwelcome sexual attention.

Microaggressions are brief and commonplace daily verbal, behavioral, or environmental indignities, whether intentional or unintentional, that communicate hostile, derogatory, or negative racial or sexual slights and insults. We consider microaggressions to be a form of harassment, and we will take appropriate action for incidences of microaggressions.

Private harassment is also unacceptable. No matter who you are, if you feel you have been or are being harassed or made uncomfortable by a community member, please contact us, as outlined in the Contact Info section below. Whether you're a regular contributor or a newcomer, we care about making this community a safe place for you and we've got your back.

Likewise any spamming, trolling, flaming, baiting or other attention-stealing behaviour is not welcome.

## Consequences of Unacceptable Behavior

Unacceptable behavior from any community member, including collaborators and those with decision-making authority, will not be tolerated.

Anyone asked to stop unacceptable behavior is expected to comply immediately.

If a community member engages in unacceptable behavior, the project author (Josh Comeau) may take any action they deem appropriate, up to and including a temporary ban or permanent expulsion from the community without warning. Individuals who have been banned are not allowed to continue participating in discussions or contributing in any way.

## If You Witness or Are Subject to Unacceptable Behavior

If you are subject to or witness unacceptable behavior, or have any other concerns, please notify a community organizer as soon as possible. Full contact information is listed in the Contact Info section of this document. All communications will be kept strictly confidential, unless otherwise required by Canadian law. No issue will be considered too inconsequential or unimportant.

## Addressing Grievances

If you feel you have been falsely or unfairly accused of violating this Code of Conduct, you should notify us with a concise description of your grievance at the email address listed under Contact Info. Your grievance will be handled in accordance with our governing policies.

## Contact Info

If you need to report an incident, please contact us immediately, with a capture (log, photo, email) of the harassment if possible. You can [submit anonymously using this form](https://docs.google.com/forms/d/e/1FAIpQLScl1qTPaIsgp4wjCPCtmaT7pS79SJypndZrSdlQ09-kz5XBaw/viewform?usp=sf_link), or email me at me@joshwcomeau.com.

## Credit, License, and Attribution

This Code of Conduct is distributed under a [Creative Commons Attribution-ShareAlike license](http://creativecommons.org/licenses/by-sa/3.0/).

The structure and much of the content is sourced from the [Tessel Code of Conduct](https://github.com/tessel/project/blob/master/CONDUCT.md), which draws from the [Nodebots SF Code of Conduct](https://github.com/nodebots/sf/blob/master/coc.md), which draws from the [Citizen Code of Conduct](http://citizencodeofconduct.org/), and from the [io.js Code of Conduct](https://github.com/iojs/io.js/blob/v1.x/CONTRIBUTING.md#code-of-conduct), which draws from the [Rust Code of Conduct](https://github.com/rust-lang/rust/wiki/Note-development-policy#conduct). In addition, this document makes use of information fom [Geek Feminism](http://geekfeminism.wikia.com/wiki/Conference_anti-harassment/Policy), [Ashe Dryden](http://www.ashedryden.com/blog/codes-of-conduct-101-faq), and [Model View Culture](https://modelviewculture.com/issues/events).
