# Contributing Guidelines

Thanks for your interest in contributing to this project!

## The Deal

Hi! I'm Josh. I'm the creator and maintainer of this package.

Speaking frankly: I don't have the bandwidth to support a thriving community of contributors to this project. And I have pretty modest goals for this project: It should make it easy for users to play sound effects in their React apps. And it should expose Howler for users who want to do advanced things, as an escape hatch.

I'm not really looking to make sweeping enhancements or broad changes. We should not be implementing any "novel" functionality. I want to keep it up-to-date and functional, and that's pretty much it.

If you encounter bugs, please do open an issue describing the bug and including steps to easily reproduce it (bonus points for a CodeSandbox that demonstrates the problem).

If you have an idea for an enhancement, go ahead and share it via an issue, but please don't expect a timely response.

If you'd like to contribute a PR, please be aware that I'm going to be pretty conservative when it comes to accepting contributions. There is a good chance that your PR won't receive the attention it deserves.

This project is MIT-licensed, and this means that you can implement and use whatever enhancements you'd like. I'd encourage you to think of it through that lens: build your ideas on top of it, and share it however you'd like, but please don't expect your changes to be merged, especially if we hadn't previously discussed it.

## Bug reports

If you encounter a problem with this library, please open an issue. Be sure to include:

- Package version
- React version
- Brief but thorough description of the issue
- Link to a CodeSandbox (or similar) demonstrating the problem (optional, but highly recommended, especially for complex problems)

I can't promise that I'll respond to all opened issues. I'm focused right now on launching my own business.
